## org.apache.http.params
Class HttpConnectionParams

    java.lang.Object
      org.apache.http.params.HttpConnectionParams

All Implemented Interfaces:
  CoreConnectionPNames

    public final class HttpConnectionParams

extends Object
implements CoreConnectionPNames

Utility class for accessing connection parameters in `HttpParams`.

Since:
  4.0

Field Summary

Fields inherited from interface org.apache.http.params.CoreConnectionPNames
`CONNECTION_TIMEOUT, MAX_HEADER_COUNT, MAX_LINE_LENGTH, MIN_CHUNK_LIMIT, SO_KEEPALIVE, SO_LINGER, SO_REUSEADDR, SO_TIMEOUT, SOCKET_BUFFER_SIZE, STALE_CONNECTION_CHECK, TCP_NODELAY`

Method Summary
`static int` `getConnectionTimeout(HttpParams params)` Obtains value of the `CoreConnectionPNames.CONNECTION_TIMEOUT` parameter.
`static int` `getLinger(HttpParams params)` Obtains value of the `CoreConnectionPNames.SO_LINGER` parameter.
`static int` `getSocketBufferSize(HttpParams params)` Obtains value of the `CoreConnectionPNames.SOCKET_BUFFER_SIZE` parameter.
`static boolean` `getSoKeepalive(HttpParams params)` Obtains value of the `CoreConnectionPNames.SO_KEEPALIVE` parameter.
`static boolean` `getSoReuseaddr(HttpParams params)` Obtains value of the `CoreConnectionPNames.SO_REUSEADDR` parameter.
`static int` `getSoTimeout(HttpParams params)` Obtains value of the `CoreConnectionPNames.SO_TIMEOUT` parameter.
`static boolean` `getTcpNoDelay(HttpParams params)` Obtains value of the `CoreConnectionPNames.TCP_NODELAY` parameter.
`static boolean` `isStaleCheckingEnabled(HttpParams params)` Obtains value of the `CoreConnectionPNames.STALE_CONNECTION_CHECK` parameter.
`static void` `setConnectionTimeout(HttpParams params, int timeout)` Sets value of the `CoreConnectionPNames.CONNECTION_TIMEOUT` parameter.
`static void` `setLinger(HttpParams params, int value)` Sets value of the `CoreConnectionPNames.SO_LINGER` parameter.
`static void` `setSocketBufferSize(HttpParams params, int size)` Sets value of the `CoreConnectionPNames.SOCKET_BUFFER_SIZE` parameter.
`static void` `setSoKeepalive(HttpParams params, boolean enableKeepalive)` Sets value of the `CoreConnectionPNames.SO_KEEPALIVE` parameter.
`static void` `setSoReuseaddr(HttpParams params, boolean reuseaddr)` Sets value of the `CoreConnectionPNames.SO_REUSEADDR` parameter.
`static void` `setSoTimeout(HttpParams params, int timeout)` Sets value of the `CoreConnectionPNames.SO_TIMEOUT` parameter.
`static void` `setStaleCheckingEnabled(HttpParams params, boolean value)` Sets value of the `CoreConnectionPNames.STALE_CONNECTION_CHECK` parameter.
`static void` `setTcpNoDelay(HttpParams params, boolean value)` Sets value of the `CoreConnectionPNames.TCP_NODELAY` parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSoTimeout

    public static int getSoTimeout(HttpParams params)

  Obtains value of the `CoreConnectionPNames.SO_TIMEOUT` parameter. If not set, defaults to `0`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    SO_TIMEOUT.

### setSoTimeout

    public static void setSoTimeout(HttpParams params,
                                    int timeout)

  Sets value of the `CoreConnectionPNames.SO_TIMEOUT` parameter.

  Parameters:
    `params` - HTTP parameters.
    `timeout` - SO_TIMEOUT.

### getSoReuseaddr

    public static boolean getSoReuseaddr(HttpParams params)

  Obtains value of the `CoreConnectionPNames.SO_REUSEADDR` parameter. If not set, defaults to `false`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    SO_REUSEADDR.
  Since:
    4.1

### setSoReuseaddr

    public static void setSoReuseaddr(HttpParams params,
                                      boolean reuseaddr)

  Sets value of the `CoreConnectionPNames.SO_REUSEADDR` parameter.

  Parameters:
    `params` - HTTP parameters.
    `reuseaddr` - SO_REUSEADDR.
  Since:
    4.1

### getTcpNoDelay

    public static boolean getTcpNoDelay(HttpParams params)

  Obtains value of the `CoreConnectionPNames.TCP_NODELAY` parameter. If not set, defaults to `true`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    Nagle's algorithm flag

### setTcpNoDelay

    public static void setTcpNoDelay(HttpParams params,
                                     boolean value)

  Sets value of the `CoreConnectionPNames.TCP_NODELAY` parameter.

  Parameters:
    `params` - HTTP parameters.
    `value` - Nagle's algorithm flag

### getSocketBufferSize

    public static int getSocketBufferSize(HttpParams params)

  Obtains value of the `CoreConnectionPNames.SOCKET_BUFFER_SIZE` parameter. If not set, defaults to `-1`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    socket buffer size

### setSocketBufferSize

    public static void setSocketBufferSize(HttpParams params,
                                           int size)

  Sets value of the `CoreConnectionPNames.SOCKET_BUFFER_SIZE` parameter.

  Parameters:
    `params` - HTTP parameters.
    `size` - socket buffer size

### getLinger

    public static int getLinger(HttpParams params)

  Obtains value of the `CoreConnectionPNames.SO_LINGER` parameter. If not set, defaults to `-1`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    SO_LINGER.

### setLinger

    public static void setLinger(HttpParams params,
                                 int value)

  Sets value of the `CoreConnectionPNames.SO_LINGER` parameter.

  Parameters:
    `params` - HTTP parameters.
    `value` - SO_LINGER.

### getConnectionTimeout

    public static int getConnectionTimeout(HttpParams params)

  Obtains value of the `CoreConnectionPNames.CONNECTION_TIMEOUT` parameter. If not set, defaults to `0`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    connect timeout.

### setConnectionTimeout

    public static void setConnectionTimeout(HttpParams params,
                                            int timeout)

  Sets value of the `CoreConnectionPNames.CONNECTION_TIMEOUT` parameter.

  Parameters:
    `params` - HTTP parameters.
    `timeout` - connect timeout.

### isStaleCheckingEnabled

    public static boolean isStaleCheckingEnabled(HttpParams params)

  Obtains value of the `CoreConnectionPNames.STALE_CONNECTION_CHECK` parameter. If not set, defaults to `true`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    stale connection check flag.

### setStaleCheckingEnabled

    public static void setStaleCheckingEnabled(HttpParams params,
                                               boolean value)

  Sets value of the `CoreConnectionPNames.STALE_CONNECTION_CHECK` parameter.

  Parameters:
    `params` - HTTP parameters.
    `value` - stale connection check flag.

### getSoKeepalive

    public static boolean getSoKeepalive(HttpParams params)

  Obtains value of the `CoreConnectionPNames.SO_KEEPALIVE` parameter. If not set, defaults to `false`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    SO_KEEPALIVE.
  Since:
    4.2

### setSoKeepalive

    public static void setSoKeepalive(HttpParams params,
                                      boolean enableKeepalive)

  Sets value of the `CoreConnectionPNames.SO_KEEPALIVE` parameter.

  Parameters:
    `params` - HTTP parameters.
    `enableKeepalive` - SO_KEEPALIVE.
  Since:
    4.2

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.